Tag Parser: TagParser::ProgressFeedback Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagParser::ProgressFeedback Class Reference

The ProgressFeedback class provides feedback about an ongoing operation via callbacks. More...

`#include <progressfeedback.h>`

Inheritance diagram for TagParser::ProgressFeedback:
[legend]
Collaboration diagram for TagParser::ProgressFeedback:
[legend]

## Public Member Functions
| ProgressFeedback (const Callback &callback, const Callback &percentageOnlyCallback=Callback())
| Constructs a new ProgressFeedback.
| ProgressFeedback (Callback &&callback=Callback(), Callback &&percentageOnlyCallback=Callback())
| Constructs a new ProgressFeedback.
Public Member Functions inherited from TagParser::BasicProgressFeedback< ProgressFeedback >
| BasicProgressFeedback (const Callback &callback, const Callback &percentageOnlyCallback=Callback())
| Constructs a new BasicProgressFeedback.
const std::string & | step () const
| Returns the name of the current step (initially empty).
std::uint8_t | stepPercentage () const
| Returns the percentage of the current step (initially 0, supposed to be a value from 0 to 100).
std::uint8_t | overallPercentage () const
| Returns the overall percentage (initially 0, supposed to be a value from 0 to 100).
void | updateStep (const std::string &step, std::uint8_t stepPercentage=0)
| Updates the current step and invokes the first callback specified on construction.
void | updateStepPercentage (std::uint8_t stepPercentage)
| Updates the current step percentage and invokes the second callback specified on construction (or the first if only one has been specified).
void | updateStepPercentageFromFraction (double stepPercentage)
| Updates the current step percentage and invokes the second callback specified on construction (or the first if only one has been specified).
void | updateOverallPercentage (std::uint8_t overallPercentage)
| Updates the overall percentage and invokes the second callback specified on construction (or the first if only one has been specified).

## Additional Inherited Members
Public Types inherited from TagParser::BasicProgressFeedback< ProgressFeedback >
using | Callback

## Detailed Description

The ProgressFeedback class provides feedback about an ongoing operation via callbacks.

Definition at line 160 of file progressfeedback.h.

## Constructor & Destructor Documentation

## ◆ ProgressFeedback() [1/2]

TagParser::ProgressFeedback::ProgressFeedback | ( | const Callback & | callback,
|  | const Callback & | percentageOnlyCallback = Callback() )
| inlineexplicit

Constructs a new ProgressFeedback.

It will call callback on the next step and percentageOnlyCallback when only the percentage changes.

Definition at line 171 of file progressfeedback.h.

## ◆ ProgressFeedback() [2/2]

TagParser::ProgressFeedback::ProgressFeedback | ( | Callback && | callback = Callback(),
|  | Callback && | percentageOnlyCallback = Callback() )
| inlineexplicit

Constructs a new ProgressFeedback.

It will call callback on the next step and percentageOnlyCallback when only the percentage changes.

Definition at line 181 of file progressfeedback.h.

The documentation for this class was generated from the following file:

- progressfeedback.h